package com.genlot.nativesdk.model;

import android.os.Parcel;
import android.os.Parcelable;

public class GameHistoryNumber implements Parcelable {
    public long mGameIssue;
    public String mWinNumber;

    public GameHistoryNumber() {
        mGameIssue = 0;
        mWinNumber = "";
    }

    @Override
    public String toString() {
        return "GameHistoryNumber{" +
                "mGameIssue=" + mGameIssue +
                ", mWinNumber='" + mWinNumber + '\'' +
                '}';
    }

    public static final Creator<GameHistoryNumber> CREATOR = new Creator<GameHistoryNumber>() {
        @Override
        public GameHistoryNumber createFromParcel(Parcel source) {
            GameHistoryNumber historyNumber = new GameHistoryNumber();
            historyNumber.mGameIssue = source.readLong();
            historyNumber.mWinNumber = source.readString();
            return historyNumber;
        }

        @Override
        public GameHistoryNumber[] newArray(int size) {
            return new GameHistoryNumber[size];
        }
    };

    @Override
    public int describeContents() {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel parcel, int flags) {
        parcel.writeLong(mGameIssue);
        parcel.writeString(mWinNumber);
    }
}
